import { OnDestroy, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { Observable, Subscription } from 'rxjs';
import { MangolControllersRotationStateModel } from './../../../store/controllers/controllers.reducers';
import * as fromMangol from './../../../store/mangol.reducers';
export declare class RotationButtonComponent implements OnInit, OnDestroy {
    private store;
    rotation$: Observable<MangolControllersRotationStateModel>;
    rotationFunction: any;
    animationDuration: number;
    mapSubscription: Subscription;
    constructor(store: Store<fromMangol.MangolState>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    rotateNorth(): void;
    getRotationStyle(rotation: number): {
        transform: string;
    };
    private _createRotationFunction;
}
